Redeploy HA Group

Redeploy HA Group
Redeploy HA group.

Redeploys all appliances in an HA group to refresh configuration, apply updates, or recover from configuration drift. This operation undeploys and redeploys each appliance in the group while maintaining HA group integrity and minimizing service disruption. The redeploy is performed sequentially on group members to ensure continuous availability of network extension services.

Request
URI
POST
https://{server}/hybridity/api/interconnect/appliances/ha/groups/{groupId}/redeploy
COPY
Path Parameters
string
groupId
Required

Unique identifier of the HA group to redeploy.

Query Parameters
string
force
Optional
Constraints: default: false

Force redeploy even if validation checks fail. Use with caution as this may cause brief service interruption. Default is false.

Possible values are : true, false,
string
local
Optional
Constraints: default: false

local parameter

string
method
Optional
Constraints: default: legacy

method parameter


Request Body

Request body of an HA Group redeploy request

string of type(s) application/json
Optional
Authentication
This operation uses the following authentication methods.
Responses
202

Accepted

Returns GroupActionSuccessResponse of type(s) application/json
{
    "data": {
        "interconnectTaskId": "string",
        "groupId": "string"
    },
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
object
data
Optional

data

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


400

Bad Request

Returns GroupActionBadRequest of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


409

Conflict

Returns Conflict of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


500

Internal Server Error

Returns HAInternalServerError of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '[{}]' https://{api_host}/hybridity/api/interconnect/appliances/ha/groups/{groupId}/redeploy